﻿@model BookViewModel

@{
    ViewData["Title"] = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<br />
<br />
<br />
<h1 class="offset-2">Create</h1>

<h4 class="offset-2">Book</h4>
<hr />
<div class="row">
    <div class="col-md-4 offset-2">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Title" class="control-label"></label>
                <input asp-for="Title" class="form-control" />
                <span asp-validation-for="Title" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="@Model.AuthorName" class="control-label">Author Name</label>
                <input asp-for="@Model.AuthorName" class="form-control" />
                <span asp-validation-for="AuthorName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Pages" class="control-label"></label>
                <input asp-for="Pages" class="form-control" />
                <span asp-validation-for="Pages" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Year" class="control-label"></label>
                <input asp-for="Year" class="form-control" />
                <span asp-validation-for="Year" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Country" class="control-label"></label>
                <input asp-for="Country" class="form-control" />
                <span asp-validation-for="Country" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Language" class="control-label"></label>
                <input asp-for="Language" class="form-control" />
                <span asp-validation-for="Language" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Link" class="control-label"></label>
                <input asp-for="Link" class="form-control" />
                <span asp-validation-for="Link" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ImageURL" class="control-label"></label>
                <input asp-for="ImageURL" class="form-control" />
                <span asp-validation-for="ImageURL" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ISBN" class="control-label"></label>
                <input asp-for="ISBN" class="form-control" />
                <span asp-validation-for="ISBN" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Category" class="control-label"></label>
                <select asp-for="Category" asp-items="Html.GetEnumSelectList<CategoryType>()" class="form-control">
                    <option hidden disabled selected value="">Choose category:</option>
                </select>
                <span asp-validation-for="Category" class="text-danger"></span>
            </div>

            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div class="col-md-4 offset-2">
    <a asp-action="Index">Back to List</a>
</div>

